# Uses of Class
org.apache.iotdb.jdbc.IoTDBConnection

Packages that use IoTDBConnection
Package
Description
org.apache.iotdb.jdbc
org.apache.iotdb.jdbc.relational

## Uses of IoTDBConnection in org.apache.iotdb.jdbc

Fields in org.apache.iotdb.jdbc declared as IoTDBConnection
Modifier and Type
Field
Description
`protected IoTDBConnection`
IoTDBAbstractDatabaseMetadata.`connection`
Constructors in org.apache.iotdb.jdbc with parameters of type IoTDBConnection
Modifier
Constructor
Description
``
`IoTDBAbstractDatabaseMetadata(IoTDBConnection connection, IClientRPCService.Iface client, long sessionId, ZoneId zoneId)`
``
`IoTDBDatabaseMetadata(IoTDBConnection connection, IClientRPCService.Iface client, long sessionId, ZoneId zoneId)`

## Uses of IoTDBConnection in org.apache.iotdb.jdbc.relational

Constructors in org.apache.iotdb.jdbc.relational with parameters of type IoTDBConnection
Modifier
Constructor
Description
``
`IoTDBRelationalDatabaseMetadata(IoTDBConnection connection, IClientRPCService.Iface client, long sessionId, ZoneId zoneId)`